> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/store/mcc/advanced-docs.md).

# Advanced Documentation

## Sonoran Radio Integration

The Sonoran `Mobile Command Center` automatically links its "Radio Repeaters" with Sonoran Radio. You must ensure that the Sonoran Radio resource is called `sonoranradio` **EXACTLY** or this integration **WILL NOT** work.

## Third Party Integration

#### Here is some useful information for potential third party integrations:

* Interior light is `Extra 4`

How to toggle menu:

```lua
WarMenu.OpenMenu('sonoranMccController')
```

### ALPR Documentation

#### Plate Read

When a plate is new **read** the event `Sonoran::mcc::plateRead` is fired to the **server**.

<table><thead><tr><th width="221">Parameter Name</th><th>Parameter Description</th></tr></thead><tbody><tr><td><code>plate</code></td><td>The plate currently read by the plate reader (<code>STRING</code>)</td></tr></tbody></table>

Example Usage Of Event:

```lua
RegisterNetEvent('Sonoran::mcc::plateRead', function(plate)
		print(plate)
end)
```

#### Plate Locked

When a plate is **locked** the event `Sonoran::mcc::plateLocked` is fired to the **server**.

<table><thead><tr><th width="222">Parameter Name</th><th>Parameter Description</th></tr></thead><tbody><tr><td><code>plate</code></td><td>The plate currently locked by the plate reader (<code>STRING</code>)</td></tr></tbody></table>

Example Usage Of Event:

```lua
RegisterNetEvent('Sonoran::mcc::plateLocked', function(plate)
		print(plate)
end)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/store/mcc/advanced-docs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
